designkey-class {planor} | R Documentation

## Class designkey

### Description

An S4 class to represent a design-key solution.

### Objects from the Class

Objects can be created by extraction from an object of class `listofkeyrings` or class `listofdesignkeys`.

### Slots

.Data

  a single design-key solution, i.e a list with one `keymatrix` per prime.

factors

  an object of class `designfactors` which contains the factors specifications.

model

  a list which contains the model and estimate specifications.

nunits

  the number of units of the design.

recursive

  a logical equal to TRUE if the design has been constructed recursively.

### Extends

Class `list`, from data part. Class `vector`, by class list, distance 2.

### Methods

alias

  summarize the design properties. See `alias method`.

planor.design

  build the design from the design key matrix. See `planor.design method`.

show

  display the object. See `show method`.

summary

  summarize the design properties. See `summary method`.

### Author(s)

Monod, H. and Bouvier, A.

### Examples

    ### Creation of a designkey object
    K0 <- planor.designkey(factors=c(LETTERS[1:4], "block"), nlevels=rep(3,5),
        model=~block+(A+B+C+D)^2, estimate=~A+B+C+D,
        nunits=3^3, base=~A+B+C, max.sol=2)
    print(K0[1])

[Package planor version 1.5-1 Index]